Bug 1039888 (CVE-2013-6639) - CVE-2013-6639 v8: DoS (out-of-bounds write) in DehoistArrayIndex function in hydrogen.cc
Summary: CVE-2013-6639 v8: DoS (out-of-bounds write) in DehoistArrayIndex function in ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-6639
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20131204,repor...
Depends On: 1039894 1039895 1139698
Blocks: 1040074 1139716
TreeView+ depends on / blocked
 
Reported: 2013-12-10 09:20 UTC by Ratul Gupta
Modified: 2019-06-08 19:49 UTC (History)
54 users (show)

Fixed In Version: v8 3.22.24.7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-30 12:59:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1744 normal SHIPPED_LIVE Moderate: v8314-v8 security update 2014-10-30 16:08:15 UTC

Description Ratul Gupta 2013-12-10 09:20:17 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-6639 to the following vulnerability:

Name: CVE-2013-6639
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-6639
Assigned: 20131105
Reference: http://code.google.com/p/v8/source/detail?r=17801
Reference: http://googlechromereleases.blogspot.com/2013/12/stable-channel-update.html
Reference: https://code.google.com/p/chromium/issues/detail?id=319835

The DehoistArrayIndex function in hydrogen-dehoist.cc in Google V8 before 3.22.24.7, as used in Google Chrome before 31.0.1650.63, allows remote attackers to cause a denial of service (out-of-bounds write) or possibly have unspecified other impact via JavaScript code that sets the value of an array element with a crafted index.

Comment 1 Ratul Gupta 2013-12-10 09:26:11 UTC
Created v8 tracking bugs for this issue:

Affects: fedora-all [bug 1039894]
Affects: epel-6 [bug 1039895]

Comment 2 Fedora Update System 2013-12-24 03:35:50 UTC
v8-3.14.5.10-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2013-12-24 03:41:43 UTC
v8-3.14.5.10-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2013-12-24 03:43:10 UTC
v8-3.14.5.10-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2013-12-30 19:28:24 UTC
v8-3.14.5.10-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Tomas Hoger 2014-08-06 13:34:14 UTC
node.js commit fixing this in embedded v8 copy:
https://github.com/joyent/node/commit/39e2426

Comment 10 errata-xmlrpc 2014-10-30 12:09:01 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6

Via RHSA-2014:1744 https://rhn.redhat.com/errata/RHSA-2014-1744.html


Note You need to log in before you can comment on or make changes to this bug.